#include <bits/stdc++.h>
#define MAXN 100010

int N;

using namespace std;

int main(){
    ios::sync_with_stdio(false); cin.tie(0);
    cin>>N;
    int X[N], rez[MAXN], Y[N], Z[MAXN];
    int x, y, z;
    for(int i = 0; i < N; i++){
        cin>>X[i];
    }

    for(int i = 0; i < N; i++){
        cin>>Y[i];
    }

    for(int i = 0; i < N; i++){
        cin>>z;
        Z[z]++;
    }

    for(int i = 0; i < N; i++){
        int found = Z[i + 1];
        rez[Y[i]] += found;
    }


    long long sum = 0;
    for(int i = 0; i < N; i++){
        sum += (long long) rez[X[i]];
    }

    cout<<sum;
    return 0;
}